# krat_exp_derivation.hh File Reference

Declaration for the derivate() algorithms. More...

Include dependency graph for krat_exp_derivation.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<class Series , class T , class Letter >
std::pair< Element< Series, T > , bool > | derivate (const Element< Series, T > &exp, Letter a)
| The antimirov derivative of the krat expression w.r.t to a letter.
template<class Series , class T , class Word >
std::pair< Element< Series, T > , bool > | word_derivate (const Element< Series, T > &exp, Word a)
| The antimirov derivative of the krat expression w.r.t to a word.

## Detailed Description

Declaration for the derivate() algorithms.

See also:
  derivate(), word_derivate()

Definition in file krat_exp_derivation.hh.